head     1.1;
branch   1.1.1;
access   ;
symbols  OPENLDAP2_6_10:1.1.1.1 OPENLDAP:1.1.1;
locks    ; strict;
comment  @# @;


1.1
date     2025.09.05.21.09.45;  author christos;  state Exp;
branches 1.1.1.1;
next     ;
commitid        fYrnJMLV6F5flz9G;

1.1.1.1
date     2025.09.05.21.09.45;  author christos;  state Exp;
branches ;
next     ;
commitid        fYrnJMLV6F5flz9G;


desc
@@



1.1
log
@Initial revision
@
text
@#! /bin/sh
# $OpenLDAP$
## This work is part of OpenLDAP Software <http://www.openldap.org/>.
##
## Copyright 1998-2022 The OpenLDAP Foundation.
## All rights reserved.
##
## Redistribution and use in source and binary forms, with or without
## modification, are permitted only as authorized by the OpenLDAP
## Public License.
##
## A copy of this license is available in the file LICENSE in the
## top-level directory of the distribution or, alternatively, at
## <http://www.OpenLDAP.org/license.html>.

. $SRCDIR/scripts/defines.sh

TB="" TN=""
if test -t 1 ; then
	TB=`$SHTOOL echo -e "%B" 2>/dev/null`
	TN=`$SHTOOL echo -e "%b" 2>/dev/null`
fi

FAILCOUNT=0
SKIPCOUNT=0
SLEEPTIME=10

echo ">>>>> Executing all LDAP tests for $BACKEND"

if [ -n "$NOEXIT" ]; then
	echo "Result	Test" > $TESTWD/results
fi

for CMD in ${SCRIPTDIR}/test*; do
	case "$CMD" in
		*~)		continue;;
		*.bak)	continue;;
		*.orig)	continue;;
		*.sav)	continue;;
		*.py)	continue;;
		*)		test -f "$CMD" || continue;;
	esac

	# remove cruft from prior test
	if test $PRESERVE = yes ; then
		/bin/rm -rf $TESTDIR/db.*
	else
		/bin/rm -rf $TESTDIR
	fi

	BCMD=`basename $CMD`
	if [ -x "$CMD" ]; then
		echo ">>>>> Starting ${TB}$BCMD${TN} for $BACKEND..."
		$CMD
		RC=$?
		if test $RC -eq 0 ; then
			echo ">>>>> $BCMD completed ${TB}OK${TN} for $BACKEND."
		else
			echo ">>>>> $BCMD ${TB}failed${TN} for $BACKEND"
			FAILCOUNT=`expr $FAILCOUNT + 1`

			if [ -n "$NOEXIT" ]; then
				echo "Continuing."
			else
				echo "(exit $RC)"
				exit $RC
			fi
		fi
	else
		echo ">>>>> Skipping ${TB}$BCMD${TN} for $BACKEND."
		SKIPCOUNT=`expr $SKIPCOUNT + 1`
		RC="-"
	fi

	if [ -n "$NOEXIT" ]; then
		echo "$RC	$BCMD" >> $TESTWD/results
	fi

#	echo ">>>>> waiting $SLEEPTIME seconds for things to exit"
#	sleep $SLEEPTIME
	echo ""
done

if [ -n "$NOEXIT" ]; then
	if [ "$FAILCOUNT" -gt 0 ]; then
		cat $TESTWD/results
		echo "$FAILCOUNT tests for $BACKEND ${TB}failed${TN}. Please review the test log."
	else
		echo "All executed tests for $BACKEND ${TB}succeeded${TN}."
	fi
fi

echo "$SKIPCOUNT tests for $BACKEND were ${TB}skipped${TN}."
@


1.1.1.1
log
@Import OpenLDAP 2.6.10 (previous was 2.5.6)

A.1. New Features and Enhancements in 2.6
A.1.1. New features in slapd
slapd now supports logging directly to a file, bypassing syslog.

A.1.2. New features in lloadd
lloadd now supports additional balancing mechansims

A.2. Obsolete Features Removed From 2.6
These features were strongly deprecated in 2.5 and removed in 2.6.

A.2.1. back-ndb
The experimental and incomplete back-ndb backend was removed.

See CHANGES for the complete list of bugfixes.
@
text
@@
